Bug 192779 - CVE-2006-2446 LTC20512-kernel BUG in __kfree_skb while running TCP+Kernel stress
Summary: CVE-2006-2446 LTC20512-kernel BUG in __kfree_skb while running TCP+Kernel stress
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
high
medium
Target Milestone: ---
: ---
Assignee: Thomas Graf
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,source=bugzilla,repor...
Keywords: Security
Depends On:
Blocks: 181411
TreeView+ depends on / blocked
 
Reported: 2006-05-22 21:47 UTC by Issue Tracker
Modified: 2014-06-18 08:29 UTC (History)
5 users (show)

Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 23:22:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel4.patch (755 bytes, patch)
2006-05-22 21:49 UTC, Andy Gospodarek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0575 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 4 2006-08-10 04:00:00 UTC

Description Issue Tracker 2006-05-22 21:47:03 UTC
Escalated to Bugzilla from IssueTracker

Comment 3 Andy Gospodarek 2006-05-22 21:49:49 UTC
Created attachment 129831 [details]
rhel4.patch

Comment 4 Andy Gospodarek 2006-05-22 21:54:33 UTC
Patch posted to rhkl.

http://post-office.corp.redhat.com/archives/rhkernel-list/2006-May/msg00427.html

Comment 9 Chris Snook 2006-05-24 21:12:05 UTC
I have a customer on RHEL 3 U7 experiencing hangs under TCP load with many
threads trying to kfree_skb.  Not sure if it's the same or not, but it needs
looking into.  I'll probably be escalating an IT shortly.

Comment 13 Jason Baron 2006-06-23 18:17:40 UTC
committed in stream U4 build 39.2. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 16 Mike Gahagan 2006-07-13 17:11:04 UTC
ok, the patch is definately in 40.1.EL and it looks like IBM has hit an entirely
different problem which I don't think they have mirrored to us.

I'm marking this as verified, but IBM needs to open a new IT/bug to address the
new crash they have found.


Comment 18 Red Hat Bugzilla 2006-08-10 23:22:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html



Note You need to log in before you can comment on or make changes to this bug.